# Get product lots

Returns the lots associated with a product (sub-products, e.g. units in a building).

Endpoint: GET /products/{productId}/lots
Version: 1.6.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer opaque

## Path parameters:

  - `productId` (integer, required)

## Query parameters:

  - `fetch` (string)
    Additional data to include (comma-separated)

## Response 200:

  - `200` (unknown)
    Product lots

## Response 200 fields (application/json):

  - `data` (array)

  - `data.id` (integer)

  - `data.customers_id` (integer | null)

  - `data.parent_id` (integer | null)

  - `data.parent_id2` (integer | null)

  - `data.quantity` (integer)

  - `data.model` (string | null)

  - `data.status_web` (boolean)

  - `data.image` (string | null)

  - `data.agency_id` (integer)

  - `data.price` (number | null)

  - `data.fees_seller` (number | null)

  - `data.fees_buyer` (number | null)

  - `data.created_at` (string | null)

  - `data.last_modified` (string | null)

  - `data.date_availability` (string | null)

  - `data.next_contact` (string | null)

  - `data.gav` (boolean)

  - `data.products_selection` (boolean)

  - `data.category` (object | null)

  - `data.category.id` (integer)

  - `data.category.parent_id` (integer | null)

  - `data.category.name` (string | null)

  - `data.category.order` (integer | null)

  - `data.category.matching_criteres` (string | null)

  - `data.category.parent` (object | null)
    Recursive parent category

  - `data.themes` (array | null)

  - `data.themes.id` (integer | null)

  - `data.themes.name` (string | null)

## Response 403:

  - `403` (unknown)
    Access denied. The error `code` is always `FORBIDDEN`; the `message` gives the cause:
- `You do not have permission to perform this action.`
 — the access does not

hold the API pack / right required by the endpoint.
- `Insufficient scope for this request.`
 — the resource targeted by the request

(user, customer, product, agency, transaction, ...) is outside the scope of

the authenticated access.
- `Access denied for this editor.`
 /
`Your IP address has been blocked.`
 —

editor or IP restriction.

## Response 403 fields (application/json):

  - `error` (object)

  - `error.code` (string, required)

  - `error.message` (string, required)

## Response 403 examples:

  - `Missing API pack / right` (unknown)

  - `Resource outside the scope of the access` (unknown)

